#!/bin/sh
echo 'name: feldspar-compiler
version: 0.4.0.2
id: feldspar-compiler-0.4.0.2-1f4d566fa07f6bd388ec1dceba124455

license: BSD3
copyright: Copyright (c) 2009-2011, ERICSSON AB
maintainer: deva@inf.elte.hu
stability: experimental
homepage: http://feldspar.inf.elte.hu/feldspar/
package-url:
description: Feldspar (**F**unctional **E**mbedded **L**anguage for **DSP**
             and **PAR**allelism) is an embedded DSL for describing digital
             signal processing algorithms.
             This library (FeldsparCompiler) contains a prototype compiler
             that supports C code generation from programs written in this
             language both according to ANSI C and also targeted to a real
             DSP HW.
category: Compiler
author: Feldspar group,
        Eotvos Lorand University Faculty of Informatics
pkgpath: lang/feldspar/compiler
exposed: True
exposed-modules: Feldspar.Compiler.Imperative.Representation
                 Feldspar.Compiler.Imperative.FromCore
                 Feldspar.Compiler.Imperative.Frontend
                 Feldspar.Compiler.Imperative.TransformationInstance
                 Feldspar.Compiler.Imperative.Plugin.ConstantFolding
                 Feldspar.Compiler.Imperative.Plugin.Unroll
                 Feldspar.Compiler.Imperative.Plugin.Naming
                 Feldspar.Compiler.Backend.C.CodeGeneration
                 Feldspar.Compiler.Backend.C.Plugin.PrettyPrint
                 Feldspar.Compiler.Backend.C.Plugin.Locator
                 Feldspar.Compiler.Backend.C.Plugin.HandlePrimitives
                 Feldspar.Compiler.Backend.C.Plugin.BlockProgramHandler
                 Feldspar.Compiler.Backend.C.Plugin.TypeCorrector
                 Feldspar.Compiler.Backend.C.Plugin.TypeDefinitionGenerator
                 Feldspar.Compiler.Backend.C.Plugin.VariableRoleAssigner
                 Feldspar.Compiler.Backend.C.Plugin.AllocationEliminator
                 Feldspar.Compiler.Backend.C.Library
                 Feldspar.Compiler.Backend.C.Options
                 Feldspar.Compiler.Backend.C.Platforms
                 Feldspar.Compiler.Frontend.CommandLine.API.Library
                 Feldspar.Compiler.Frontend.CommandLine.API.Constants
                 Feldspar.Compiler.Frontend.CommandLine.API.Options
                 Feldspar.Compiler.Frontend.CommandLine.API
                 Feldspar.Compiler.Compiler Feldspar.Compiler.Error
                 Feldspar.Compiler Feldspar.Transformation
                 Feldspar.Transformation.Framework Feldspar.NameExtractor
hidden-modules:
import-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
library-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
hs-libraries: HSfeldspar-compiler-0.4.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2/include
includes:
depends: MonadCatchIO-mtl-0.3.0.4-71e86801e5931fd974633b3c7e6e1486
         ansi-terminal-0.5.5-572a1d0154fb2632bb4e9431adf0cdb1
         base-4.3.1.0-ee15f259a627d341af7c80a17e8b0e66
         containers-0.4.0.0-f1307d32d8f4b51a1487c01f0997b6d9
         directory-1.1.0.0-ca04ddcf1c341deb4150c220bedd97c0
         feldspar-language-0.4.0.2-cd664e3b5bb57fe6f606ecd6187a6dfe
         filepath-1.2.0.0-956a4b0c127b8c317f6cac3946b0b803
         haskell-src-exts-1.11.1-733ae65367e6bb54158e7f45c4c6d500
         hint-0.3.3.2-dc8fe69111898953cd7b031d9dbca1c3
         mtl-2.0.1.0-3e464329054b7660133198d73c31aca5
         process-1.0.1.5-99e45a86cf1678266024ae9c30d1f778
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html/feldspar-compiler.haddock
haddock-html: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
